### A free/open-source library for quantitative finance

Public Member Functions | Protected Attributes
YoYOptionletHelper Class Reference

Year-on-year inflation-volatility bootstrap helper. More...

`#include <ql/experimental/inflation/yoyoptionlethelpers.hpp>`

Inheritance diagram for YoYOptionletHelper:
[legend]

List of all members.

## Public Member Functions

| YoYOptionletHelper (const Handle< Quote > &price, Real notional, YoYInflationCapFloor::Type capFloorType, Period &lag, const DayCounter &yoyDayCounter, const Calendar &paymentCalendar, Natural fixingDays, const boost::shared_ptr< YoYInflationIndex > &index, Rate strike, Size n, const boost::shared_ptr< YoYInflationCapFloorEngine > &pricer)
void | setTermStructure (YoYOptionletVolatilitySurface *)
| sets the term structure to be used for pricing
Real | impliedQuote () const

## Protected Attributes

Real | notional_
YoYInflationCapFloor::Type | capFloorType_
Period | lag_
Natural | fixingDays_
boost::shared_ptr < YoYInflationIndex > | index_
Rate | strike_
Size | n_
DayCounter | yoyDayCounter_
Calendar | calendar_
boost::shared_ptr < YoYInflationCapFloorEngine > | pricer_
boost::shared_ptr < YoYInflationCapFloor > | yoyCapFloor_

## Detailed Description

Year-on-year inflation-volatility bootstrap helper.

## Member Function Documentation

void setTermStructure | ( | YoYOptionletVolatilitySurface * |  | ) | `[virtual]`

sets the term structure to be used for pricing

Warning:
  Being a pointer and not a shared_ptr, the term structure is not guaranteed to remain allocated for the whole life of the rate helper. It is responsibility of the programmer to ensure that the pointer remains valid. It is advised that this method is called only inside the term structure being bootstrapped, setting the pointer to this, i.e., the term structure itself.

Reimplemented from BootstrapHelper< YoYOptionletVolatilitySurface >.